package com.company.crosstab.entity;

import com.haulmont.chile.core.annotations.Composition;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;

import javax.persistence.*;
import java.util.Date;
import java.util.List;

@Table(name = "CROSSTAB_GAME")
@Entity(name = "crosstab_Game")
@NamePattern("%s|name")
public class Game extends StandardEntity {
    private static final long serialVersionUID = 6847499069210468364L;

    @Column(name = "NAME")
    private String name;

    @OneToMany(mappedBy = "game")
    @OnDelete(DeletePolicy.DENY)
    @Composition
    private List<Genre> genre;

    @Column(name = "DATE_RELIZE")
    @Temporal(TemporalType.DATE)
    private Date dateRelize;

    @Column(name = "PRICE")
    private Integer price;

    public void setPrice(Integer price) {
        this.price = price;
    }

    public Integer getPrice() {
        return price;
    }

    public void setGenre(List<Genre> genre) {
        this.genre = genre;
    }

    public List<Genre> getGenre() {
        return genre;
    }

    public void setDateRelize(Date dateRelize) {
        this.dateRelize = dateRelize;
    }

    public Date getDateRelize() {
        return dateRelize;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}